
# lecture du répertoire participants
participants_ml=`ls --color=never participants/*.ml | sed -e "s#participants/##g"`
participants=`echo $participants_ml | sed -e "s/\\.ml//g"`
# echo $participants
# création du fichier main_auto.ml
echo "#open \"types\";;" > main_auto.ml
echo "let employes = [|" >> main_auto.ml
for file in $participants; do
  echo "  {nouvelle_partie = ${file}__nouvelle_partie;
   joue =            ${file}__joue;
   acquiesce =       ${file}__acquiesce;};" >> main_auto.ml
done
echo "|];;" >> main_auto.ml
echo "let noms = [|" >> main_auto.ml
for file in $participants; do
  echo "  \"$file\";" >> main_auto.ml
done
echo "|];;
moulinette__affiche $1 employes noms;; (* 1000 est le nombre de parties à jouer *)" >> main_auto.ml

# copie de tout ce qu'il faut dans le répertoire sandbox
mkdir sandbox
cp moulinette.zi moulinette.zo types.zi types.zo sandbox/
mv main_auto.ml sandbox/
cd sandbox
for file in $participants; do
  cp ../participants/$file.ml .
  camlc -g -c $file.ml
done

# compilation finale et lancement
camlc -g types.zo moulinette.zo `echo $participants_ml | sed -e "s/\\.ml/.zo/g"` main_auto.ml
./a.out $2

# nettoyage
cd ..
rm -r sandbox
