(* compile "types.ml"; compile "moulinette.mli"; compile "moulinette.ml";; *)

#open "types";;
load "cinquante";;
load "importance_x10";;
load "moyenne";;

let employes = [|
  {nouvelle_partie = cinquante__nouvelle_partie;
   joue =            cinquante__joue;
   aquiesce =        cinquante__aquiesce;};
  {nouvelle_partie = importance_x10__nouvelle_partie;
   joue =            importance_x10__joue;
   aquiesce =        importance_x10__aquiesce;};
  {nouvelle_partie = moyenne__nouvelle_partie;
   joue =            moyenne__joue;
   aquiesce =        moyenne__aquiesce;};
|];;

let noms = [|
  "cinquante";
  "importance_x10";
  "moyenne";
|];;

load_object "types";;
load_object "moulinette";;
moulinette__affiche 1000 employes noms;; (* 1000 est le nombre de parties  jouer *)
